Livemark service should delete annotations on livemark delete
When a livemark is deleted, all the annotations for the items and the folder stay around. This is partially bug 319455 (expire annotations) but the livemark service should do it's annotations explicitly.